Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QStyleOptionFrame Class Reference

The QStyleOptionFrame class is used to describe the parameters for drawing a frame. More...

     #include <QStyleOptionFrame>

Inherits: QStyleOption.

Inherited by: QStyleOptionFrameV2.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionFrame ()
| QStyleOptionFrame ( const QStyleOptionFrame & other )

- 2 public functions inherited from QStyleOption

## Public Variables

int | lineWidth
int | midLineWidth

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionFrame class is used to describe the parameters for drawing a frame.

QStyleOptionFrame is used for drawing several built-in Qt widgets, including QFrame, QGroupBox, QLineEdit, and QMenu. Note that to describe the parameters necessary for drawing a frame in Qt 4.1 or above, you must use the QStyleOptionFrameV2 subclass.

An instance of the QStyleOptionFrame class has type SO_Frame and version 1.

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionFrame and QStyleOptionFrameV2.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionFrameV2 and QStyleOption.

## Member Type Documentation

### enum QStyleOptionFrame::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFrame::Type` | `SO_Frame` | The type of style option provided (SO_Frame for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionFrame::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFrame::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionFrame::QStyleOptionFrame ()

Constructs a QStyleOptionFrame, initializing the members variables to their default values.

### QStyleOptionFrame::QStyleOptionFrame ( const QStyleOptionFrame & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### int QStyleOptionFrame::lineWidth

This variable holds the line width for drawing the frame.

The default value is 0.

See also QFrame::lineWidth.

### int QStyleOptionFrame::midLineWidth

This variable holds the mid-line width for drawing the frame.

This is usually used in drawing sunken or raised frames.

The default value is 0.

See also QFrame::midLineWidth.